<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
CU: Administrar comisiones
página que muestra el histórico de los estados de una comisión

@param  thisWVNameParam  nombre usado como atributo widgetVar para esta página en la página donde
    se incluye

@param  memorandoWVNameParam nombre usado como atributo widgetVar para la página que muestra el
    memorando, en la página donde esta se incluye

@param  memoPageComponentsToUpdateParam  lista de componentes que se van a actualizar al dar click en el
    elemento que lleva a ver el memorando. Debe ser el componente principal de la página que muestra
    el memorando
-->


<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    id="historicoComisionPG" width="100%" >


    <p:messages id="historicoComisionMsgs" />

    <p:spacer height="10" />

    <h:form prependId="false">

        <center>
            <h:panelGrid columns="5" width="80%" cellpadding="5">
                <h:outputLabel value="Número de comisión: " styleClass="outputLabelStyle" />
                <h:outputText  value="#{administracionComisiones.selectedComision.numero}"
                               styleClass="outputTextStyle" />
                <p:spacer width="50" height="0"/>
                <p:spacer width="50" height="0"/>
                <p:spacer width="50" height="0"/>

                <h:outputLabel value="Fecha inicio de comisión: " styleClass="outputLabelStyle" />
                <h:outputText value="#{administracionComisiones.selectedComision.fechaInicio}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
                <p:spacer width="50" height="0"/>
                <h:outputLabel value="Fecha fin de comisión: " styleClass="outputLabelStyle" />
                <h:outputText value="#{administracionComisiones.selectedComision.fechaFin}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
            </h:panelGrid>
        </center>

        <p:spacer height="10" />
        <p:dataTable id="estadosComisionDT" widgetVar="estadosComisionDTWV"
                     value="#{administracionComisiones.historicoEstadosComision}"
                     var="estadoComision"
                     paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                     {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                     emptyMessage="No se encontraron registros del histórico de la comisión">

            <f:facet name="header">
                Estados de la comisión
            </f:facet>


            <p:column headerText="Estado">
                <h:outputText value="#{estadoComision.estado}"/>
            </p:column>

            <p:column headerText="Fecha cambio de estado">
                <h:outputText value="#{estadoComision.fecha}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
            </p:column>

            <p:column headerText="Nueva fecha inicial">
                <h:outputText value="#{estadoComision.fechaInicio}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
            </p:column>

            <p:column headerText="Nueva fecha final">
                <h:outputText value="#{estadoComision.fechaFin}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
            </p:column>

            <p:column headerText="Motivo">
                <h:outputText id="ComisionEstadoMotivoV" value="#{estadoComision.motivo}">
                    <f:converter converterId="converterCB" for="ComisionEstadoMotivoV" />
                </h:outputText>
            </p:column>

            <p:column headerText="Memorando">
                <p:commandLink styleClass="commandLinkStyleInTable"
                               action="#{administracionComisiones.consultarMemorandoEstadoComision}"
                               title="Ver el memorando de cambio de estado de la comisión"
                               immediate="true" ajax="true"
                               oncomplete="#{memorandoWVNameParam}.show()" process="@this"
                               value="#{estadoComision.memorandoDocumento.archivo}"
                               rendered="#{estadoComision.memorandoDocumento.idRepositorioDocumentos ne null}"
                               update="#{memoPageComponentsToUpdateParam}">
                    <f:setPropertyActionListener 
                        target="#{administracionComisiones.selectedComisionEstadoDocumento}"
                        value="#{estadoComision.memorandoDocumento}"/>
                </p:commandLink>
                <h:outputText value="#{estadoComision.memorandoDocumento.archivo}" 
                              rendered="#{estadoComision.memorandoDocumento.idRepositorioDocumentos eq null}"/>
            </p:column>
        </p:dataTable>

        <p:spacer height="20" width="0" />
        <p:outputPanel layout="block" style="text-align: left">
            <h:panelGrid columns="9" width="100%" >
                <p:commandButton value="Cerrar"
                                 onclick="#{thisWVNameParam}.hide()"/>
            </h:panelGrid>
        </p:outputPanel>


    </h:form>

</h:panelGrid>
